<!--section-->
<section>
    <div class="container">
        <div class="row">
            <%= form_for 'job_search', url: search_jobs_path, remote: true do |f| %>
                <!--left-section-->
                <div class="col-md-3">
                    <div class="filter-sec" style="min-height: inherit;">
                        <div class="col-sm-12">
                            <h1 class="title">Filter
                                <a class="expand collaps" id="mexpand" href="#"></a>
                            </h1>
                            <div class="mobile-expand">
                                <ul>
                                    <li>
                                        <h2>Sort</h2>
                                    </li>
                                    <li>
                                        <label class="cradio sort_by ">Sort by relevance
                                            <!-- <input type="radio" checked="checked" name="sort"> -->
                                            <%= radio_button_tag :sort, 'relevance', true, class: 'radio' %>
                                            <span class="checkmark"></span>
                                        </label>
                                    </li>
                                    <li>
                                        <label class="cradio sort_by">Sort by date
                                            <!-- <input type="radio" name="sort"> -->
                                            <%= radio_button_tag :sort, 'date', false, class: 'radio' %>
                                            <span class="checkmark"></span>
                                        </label>
                                    </li>
                                </ul>
                                <ul>
                                    <li>
                                        <h2>Type</h2>
                                    </li>
                                    <li>
                                        <label class="cradio job_type">All job types
                                            <input type="radio" checked="checked" name="job_type" value="all">
                                            <span class="checkmark"></span>
                                        </label>
                                    </li>
                                    <li>
                                        <label class="cradio job_type">Full-time
                                                <input type="radio" name="job_type" value="fulltime">
                                                <span class="checkmark"></span>
                                        </label>
                                    </li>
                                    <li>
                                        <label class="cradio job_type">Internship
                                            <input type="radio" name="job_type" value="internship">
                                            <span class="checkmark"></span>
                                        </label>
                                    </li>
                                    <li>
                                        <label class="cradio job_type">Part-time
                                            <input type="radio" name="job_type" value="parttime">
                                            <span class="checkmark"></span>
                                        </label>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <!--/left-section-->
                <!--middle-section-->
                <div class="col-md-6">
                    <%#= form_for 'job_search', url: search_jobs_path, remote: true do |f| %>
                    <div class="search-box">
                        <div class="col-sm-12">
                            <h1 class="title">Search Jobs</h1>
                            <div class="row">
                                <div class="form-group">
                                    <div class="col-xs-6">
                                        <label class="cradio">U.S. Jobs
                                            <!-- <input type="radio" checked="checked" name="sort"> -->
                                            <%= radio_button_tag :job_region, 'US', class: 'radio job_region', checked: params[:country_name].present? ? false : true %>
                                            <span class="checkmark"></span>
                                        </label>
                                    </div>
                                    <div class="col-xs-6">
                                        <label class="cradio">International Jobs
                                            <%= radio_button_tag :job_region, 'International', class: 'radio job_region', checked: params[:country_name].present? ? true : false %>
                                            <!-- <input type="radio" name="sort"> -->
                                            <span class="checkmark"></span>
                                        </label>
                                    </div>
                                    <div class="clearfix"></div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-12 companies">
                                    <div class="form-group">
                                        <!-- <select class="form-control">
                                            <option>Top 500 H1B</option>
                                        </select> -->
                                        <%= f.select :companies, options_for_select([['Top 500 H1B', 'top'], ['All Companies', 'all']], 'top'), {}, class: 'form-control' %>
                                        <div class="clearfix"></div>
                                    </div>
                                </div>
                                <div class="col-sm-12 country">
                                    <div class="form-group">
                                        <!-- <select class="form-control">
                                            <option>Top 500 H1B</option>
                                        </select> -->
                                        <%= f.select :country, options_for_select(@countries.map{ |x| [ x.name, x.code ] }), { prompt: 'Select Country' }, class: 'form-control' %>
                                        <div class="clearfix"></div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <!-- <input type="text" class="form-control" placeholder="Part-time"> -->
                                        <%= f.select :job_type, options_for_select([['All job types', 'all'], ['Internship', 'internship'], ['Full Time', 'fulltime'], ['Part Time', 'parttime']], 'all'), {prompt: 'Select Job Type'}, {class: 'form-control'} %>
                                        <div class="clearfix"></div>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <!-- <select class="form-control">
                                            <option>City</option>
                                        </select> -->
                                        <%= f.text_field :city, value: '', class: 'form-control', placeholder: 'City' %>
                                        <div class="clearfix"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-6 company_list">
                                    <div class="form-group">
                                        <!-- <input type="text" class="form-control" placeholder="Part-time"> -->
                                        <%= f.select :company_name, options_for_select(@companies.map{ |a| [ a.display_name, a.name ] }), { prompt: 'Select Company Name' }, {class: 'form-control select2'} %>
                                        <div class="clearfix"></div>
                                    </div>
                                </div>
                                <div class="col-sm-6 company_name">
                                    <div class="form-group">
                                        <!-- <select class="form-control">
                                            <option>Top 500 H1B</option>
                                        </select> -->
                                        <%= text_field_tag :company_name, '', class: 'form-control', placeholder: 'Company Name' %>
                                        <div class="clearfix"></div>
                                    </div>
                                </div>
                                <div class="col-sm-6">
                                    <div class="form-group">
                                        <!-- <select class="form-control">
                                            <option>City</option>
                                        </select> -->
                                        <%= f.select :publish_date, options_for_select([['Anytime', 'any'], ['Within 15 days', '15'], ['Within 7 days', '7'], ['Within 3 days', '3'], ['Since Yesterday', '1'], ['Since my last visit', 'last']], 'any'), {prompt: 'Select Publish Date'}, {class: 'form-control'} %>
                                        <div class="clearfix"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                            <!-- <input type="text" placeholder="Enter Job title, Keyword" class="form-control"> -->
                                            <%= f.text_field :search, placeholder: 'Enter Job title, Keyword', class: 'form-control' %>
                                            <div class="clearfix"></div>
                                    </div>
                                </div>
                            </div>
                            <%= f.text_field :page, value: 1, hidden: true %>
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <!-- <input type="button" class="btn btn-theme rounded pull-right mrl" value="Search"> -->
                                        <%= f.submit 'Search', class: 'btn btn-theme rounded pull-right mrl' %>
                                        <!-- <input type="button" class="btn btn-theme2 rounded pull-right" value="Clear"> -->
                                        <div class="clearfix"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <%# end %>
                    <div class="article jobs jobs_list">

                    </div>
                    <input type="hidden" value='relevance' id="sort_by_val"/>
                    <input type="hidden" value='all' id="job_type_filter"/>
                </div>
                <!--/middle-section-->
            <% end %>
            <!--right-section-->
            <%#= render partial: '/layouts/sidebar_right', locals: { '@favorite_companies': @favorite_companies, '@companies': @companies } %>
            <!--/right-section-->
        </div>
    </div>
<section>
<script>
    $(document).ready(function(){
        <% if params[:country_name].present? %>
            // alert(1)
            // $('#job_region_International').trigger('click')
            $("input[type=radio][name=job_region][value=International]").prop('checked', true).change();
            var country = "<%= params[:country_name] %>"
            $("#job_search_country option:contains("+country+")").attr('selected', true)

        <% end %>
    })
</script>
